D4Science Infrastructure - Incident #12965

Error creating shared folder in workspace
Dec 03, 2018 11:36 AM - Emmanuel Blondel

Status: Closed Start date: Dec 03, 2018
Priority: Normal Due date:

Assignee: Lucio Lelii % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

I've tried to share a workspace folder with colleagues (Y. Laurent, M. Taconet), and | get an error (see attached screenshot).

History

#1 - Dec 03, 2018 11:37 AM - Emmanuel Blondel

- File d4science_error_sharing_folder.jpog added

#2 - Dec 03,2018 11:59 AM - Leonardo Candela

- Assignee changed from _InfraScience Systems Engineer to Lucio Lelii

#3 - Dec 03, 2018 12:04 PM - Pasquale Pagano

Hi @emmanuel.blondel1@gmail.com, we need a bit of context.
Which gateway are you using?
Is the folder a subfolder of another folder? If yes, who is the owner of the folder containing the folder you are trying to share?

#4 - Dec 03, 2018 12:24 PM - Emmanuel Blondel
https://services.d4science.org/group/d4science-services-gateway/workspace

#5 - Dec 03, 2018 12:26 PM - Emmanuel Blondel

i'm the owner of the folder

#6 - Dec 03, 2018 03:03 PM - Lucio Lelii

Hi Emmanuel, | tried the same thing and it worked, can you please tell me the absolute path of the folder?

#7 - Dec 03, 2018 06:01 PM - Emmanuel Blondel

The path in my workspace is:
/Workspace/FAO Missions/TT 4 — 7th June 2018 Chaguanas - Trinidad — R Training course

and this is the folder link (in case you need it):
http://data.d4science.org/workspace-explorer-app?folderld=dnixcGtQVEIYYzBVa2FQZThldG55UmIZUExHMjBVUTIUMEINIWmMZGSVFhS0p1 Vjlwb090
MGVQNkxHTnJLMCtOaQ

#8 - Dec 04, 2018 12:16 PM - Lucio Lelii

Hi Emmanuel can you try now to share your folder ? | had to rename your folder replacing the "long dash" (that is not recognized by jackrabbit) with
the normal one.

#9 - Dec 04, 2018 02:55 PM - Emmanuel Blondel
- Status changed from New to Closed

- % Done changed from 0 to 100

Thanks Lucio, | confirm it works now. Maybe it would be good to add some rules to prevent user from using these specific characters for naming
folders. What do you think? For this specific issue, it's resolved.

#10 - Dec 04, 2018 02:58 PM - Lucio Lelii

Yes Emmanuel, we already planned to solve this type of issues on one of next releases
